# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fedimint-derive"
version = "0.10.0-beta.3"
authors = ["The Fedimint Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "fedimint-derive provides helper macros for serialization."
readme = "README.md"
license = "MIT"
repository = "https://github.com/fedimint/fedimint"
resolver = "2"

[features]
diagnostics = []

[lib]
name = "fedimint_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.itertools]
version = "0.14.0"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = ["full"]

[lints.clippy]
dbg_macro = "deny"
literal_string_with_formatting_args = "deny"
